/*!********************************************************************
 * The Initial Developer of the content of this file is NETCONOMY.
 * All portions of the code written by NETCONOMY are property of
 * NETCONOMY. All Rights Reserved.
 *
 * NETCONOMY Software & Consulting GmbH
 * Hilmgasse 4, A-8010 Graz (Austria)
 * FN 204360 f, Landesgericht fuer ZRS Graz
 * Tel: +43 (316) 815 544
 * Fax: +43 (316) 815544-99
 * www.netconomy.net
 *
 * (c) 2022 by NETCONOMY Software & Consulting GmbH
 ********************************************************************/
@use 'shop/resources/scss/base/constants/colors';

.miniCart {
    position: relative;

    // Workaround
    div[data-radix-popper-content-wrapper] {
        z-index: 2 !important;
    }
}

.hoverCardContent {
    position: relative;
    z-index: 1;
    max-width: 420px;
    width: 100%;
    border: 2px solid colors.$color-primary;
    padding: 20px;
    background: colors.$color-white;
    box-shadow: 0 0 10px colors.$color-grey;
    animation-duration: 400ms;
    animation-timing-function: cubic-bezier(0.16, 1, 0.3, 1);
    will-change: transform, opacity;
    cursor: auto;

    &[data-side='bottom'] {
        animation-name: slideUpAndFade;
    }
}

.hoverCardArrow {
    position: relative;
    top: -9px;
    width: 20px;
    height: 20px;
    transform: rotate(45deg);
    border-right: 2px solid;
    border-bottom: 2px solid;
    border-color: colors.$color-primary;
    background-color: colors.$color-white;
}

@keyframes slideUpAndFade {
    0% {
        opacity: 0;
        transform: translateY(2px);
    }
    100% {
        opacity: 1;
        transform: translateY(0);
    }
}
